Solved Install VC6 in Win7 64bit enviroment

July 16, 2018 at 02:18:11
Specs: Windows 7
I want to install VC6.0 in my office computer which is Win7 64 bits, SP1.
Once I excuted VC6.0 installation, it shows:
"This product ships with the matching localized language version of Service Pack 3 for Windows NT 4. We recommend that you quit setup and install Service Pack3 for Windows NT4 from another source. "
Would I really need to install Service Pack3 for Windows NT 4?
Anyone occurred the same situation?
Thank you.

See More: Install VC6 in Win7 64bit enviroment

Reply ↓  Report •

#1
July 16, 2018 at 02:50:22
✔ Best Answer
VC 6.0 has problems with versions of Windows later than Windows 2000.

Is there a particular reason that you want to run a 20-year old C compiler rather than using the up-to-date versions now supplied by Microsoft?

To answer your original question - you can't install a Service Pack for Windows NT on Windows 7. For starters, there were no 64-bit versions of NT. There are instructions here for installing VC6.0 on windows 7: https://www.codeproject.com/Tips/40...

message edited by ijack


Reply ↓  Report •

#2
July 16, 2018 at 20:21:03
Hi ijack,
Thanks for your reply, I'm trying.

Reply ↓  Report •

#3
July 18, 2018 at 03:35:50
Hi ijack, sorry It didn't work..
Finnaly I used another way to install VC6 ..
Force the Service pack 1 named to Service pack 3.
It seems work.
But I know that's not a good method.

Reply ↓  Report •
Related Solutions


Ask Question